Get the catalog structure with populated number of items per list but empty lists ('lateBoundCRSes',...). It is expected that the lists are individually populated on demand via the specific methods ('CRSV2GetLateBoundCRSes',...).
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/crs/catalog/v2/catalog
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/crs/catalog/v2/catalog
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/crs/catalog/v2/catalog
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/crs/catalog/v2/catalog
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/crs/catalog/v2/catalog
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/crs/catalog/v2/catalog
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/crs/catalog/v2/catalog
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/crs/catalog/v2/catalog
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/crs/catalog/v2/catalog
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/crs/catalog/v2/catalog
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/crs/catalog/v2/catalog
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/crs/catalog/v2/catalog
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-crs-catalog-service-v2/catalog
curl -i -X GET \
https://as5.api.enterprisedata.slb.com/api/crs/catalog/v2/catalog \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'data-partition-id: string'A successful response
The total number of Area Of Uses in the catalog.
The complete list of areas of use.
The name and last modification time of the catalog.
The total number of compoundCTs in the catalog.
The complete list of compound cartographic transforms
The total number of compoundCRSes in the catalog.
The complete list of compound coordinate reference systems.
The total number of earlyBoundCRSes in the catalog.
The complete list of early-bound coordinate reference systems.
The total number of lateBoundCRSes in the catalog.
The complete list of late-bound coordinate reference systems.
The complete list of single cartographic transforms
{ "areaOfUseCount": 0, "areaOfUses": [ { … } ], "attributes": { "description": "string", "lastModified": "2016-09-28 12:28:47.128132+00:00", "name": "OSDU standard catalog" }, "compoundCTsCount": 0, "compoundCTs": [ { … } ], "compoundCRSesCount": 0, "compoundCRSes": [ { … } ], "earlyBoundCRSesCount": 0, "earlyBoundCRSes": [ { … } ], "lateBoundCRSesCount": 0, "lateBoundCRSes": [ { … } ], "singleCTsCount": 0, "singleCTs": [ { … } ] }